.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    background: #001355;
    background: linear-gradient(135deg, #001355 0%, #0C2D9E 100%);
    display: flex;
    flex-direction: column;
}

.container {

    @include media-breakpoint-up(xxl) {
        padding-left: rem(10);
        padding-right: rem(10);
    }
}

.main {
    flex-grow: 1;
}

.primary {
    padding-top: rem(60);
    margin-bottom: rem(60);
    position: relative;

    &__main {
        z-index: 10;
        position: relative;
        margin-bottom: rem(14);
    }

    &__header {
        text-align: center;
        font-weight: 500;
        font-size: rem(24);
        line-height: 130%;
        margin-bottom: rem(10);
    }

    &__text {
        font-weight: 500;
        font-size: rem(14);
        line-height: 150%;
        text-align: center;
        margin-bottom: rem(20);
    }

    &__buttons {
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__button {
        width: calc(50% - 5px);

        .btn {
            width: 100%;
        }
    }

    &__media {
        margin: 0 auto;
        max-width: 380px;
        position: relative;
    }

    &__cards {
        z-index: 30;
        position: relative;
    }

    &__card-top {
        z-index: 50;
        width: 100%;
        position: relative;
    }

    &__card-bottom {
        top: 0;
        left: 0;
        width: 100%;
        z-index: 30;
        position: absolute;
    }

    &__pattern {
        z-index: 5;
        top: 90px;
        right: -90px;
        width: 265px;
        position: absolute;
    }

    &__circle {
        z-index: 5;
        border-radius: 50%;
        position: absolute;

        &--01 {
            top: -34px;
            left: -47px;
            width: 122px;
        }

        &--02 {
            display: none;
        }
    }

    &__shadow {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(100);
        margin-right: rem(-20);
        margin-bottom: rem(100);
        display: flex;

        &__main {
            width: rem(390);
            margin-bottom: 0;
            flex-shrink: 0;
        }

        &__header {
            font-size: rem(32);
            text-align: left;
        }

        &__text {
            font-size: rem(18);
        }

        &__text {
            text-align: left;
        }

        &__media {
            max-width: inherit;
            margin-left: rem(20);
            padding-top: rem(30);
        }

        &__pattern {
            z-index: 5;
            top: 0;
            left: 30px;
            right: auto;
            width: 500px;
            position: absolute;
        }

        &__circle {

            &--01 {
                top: calc(100% - 44px);
                left: -47px;
                width: 212px;
            }
        }

        &__buttons {
            justify-content: flex-start;
        }

        &__button {
            width: auto;

            &:first-child {
                margin-right: rem(20);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            width: rem(480);
        }

        &__header {
            font-size: rem(38);
        }

        &__media {
            padding-top: 0;
            margin-left: rem(40);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-right: 0;

        &__main {
            width: rem(620);
        }

        &__header {
            letter-spacing: 2px;
            font-size: rem(48);
            margin-bottom: rem(20);
        }

        &__text {
            padding-right: rem(20);
            font-size: rem(20);
            margin-bottom: rem(40);
        }

        &__buttons {
            margin-bottom: rem(40);
        }

        &__media {

            margin-left: rem(116);
        }

        &__cards {
            width: rem(599);
        }

        &__pattern {
            top: -15px;
            left: 40px;
            width: 704px;
        }

        &__circle {

            &--01 {
                left: -98px;
            }

            &--02 {
                left: auto;
                top: calc(100% - 102px);
                right: -35px;
                display: block;
            }
        }

        &__shadow {
            left: 0;
            z-index: 1;
            top: calc(50% - 750px);
            width: 1628px;
            display: block;
            position: absolute;
        }

        &__card-top {
            animation: move-top 4s infinite linear;
        }

        &__card-bottom {
            animation: move-bottom 4s infinite linear;
        }
    }
}

.primary-pay {
    font-size: 0;
    line-height: 0;
    padding: rem(20);
    border-radius: 20px;
    background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
    backdrop-filter: blur(22.5px);
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__item {

        &--mir {
            width: 56px;
        }

        &--mc {
            width: 42px;
        }

        &--visa {
            width: 60px;
        }

        &--sbp {
            width: 19px;
        }

        &--usdt {
            width: 25px;
        }
    }

    @include media-breakpoint-up(xl) {
        width: rem(604);
        height: rem(105);
        padding: rem(20) rem(40);

        &__item {

            &--mir {
                width: 101px;
            }

            &--mc {
                width: 75px;
            }

            &--visa {
                width: 108px;
            }

            &--sbp {
                width: 34px;
            }

            &--usdt {
                width: 46px;
            }
        }
    }
}

.about {
    z-index: 20;
    position: relative;
    margin-bottom: rem(60);

    &__main {
        z-index: 10;
        padding: rem(20);
        position: relative;
        border-radius: 20px;
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);
    }

    &__header {
        font-weight: 500;
        line-height: 130%;
        font-size: rem(20);
        text-align: center;
        margin-bottom: rem(30);

        span {
            font-weight: 700;
            color: $turquoise;
            text-transform: uppercase;
        }
    }

    &__content {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr;
        margin-bottom: rem(60);
    }

    &__item {
        font-weight: 500;
        line-height: 150%;
        font-size: rem(14);
        text-align: center;
    }

    &__icon {
        fill: $white;
        font-size: 0;
        line-height: 0;
        width: rem(60);
        height: rem(60);
        flex-shrink: 0;
        overflow: hidden;
        border-radius: 10px;
        margin: 0 auto rem(10) auto;
    }

    &__title {
        font-weight: 700;
        line-height: 130%;
        font-size: rem(20);
        text-align: center;
        margin-bottom: rem(30);
    }

    &__partners {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__partner {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 20px;
        border: 1px solid rgba(255,255,255,0.05);
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(22.5px);
    }

    &__logo {
        height: 88px;
        display: inline-block;
        flex-shrink: 0;
    }

    &__plus {
        font-weight: 500;
        text-align: center;
        font-size: rem(26)
    }

    &__pattern {
        top: 178px;
        left: -142px;
        z-index: 1;
        width: 250px;
        height: 250px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(100);

        &__main {
            padding: rem(40);
        }

        &__header {
            font-size: rem(32);
            text-align: left;
        }

        &__item {
            font-size: rem(16);
            text-align: left;
            display: flex;
            align-items: center;
        }

        &__icon {
            width: rem(80);
            height: rem(80);
            border-radius: 30px;
            margin: 0 rem(20) 0 0;
        }

        &__title {
            font-size: rem(24);
            text-align: left;
        }

        &__partners {
            grid-column-gap: rem(10);
            grid-template-columns: 1fr 1fr 1fr 1fr rem(50);
        }

        &__partner {
            height: rem(50);
        }

        &__logo {
            height: 40px;
        }

        &__plus {
            font-size: rem(18);
            border-radius: 20px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid rgba(255,255,255,0.05);
            background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        }
    }

    @include media-breakpoint-up(lg) {

        &__content {
            grid-template-columns: 1fr 1fr;
        }

        &__partners {
            grid-template-columns: 1fr 1fr 1fr 1fr rem(60);
        }

        &__partner {
            height: rem(60);
        }

        &__logo {
            height: 60px;
        }

        &__plus {

        }
    }

    @include media-breakpoint-up(xl) {

        &:before {
            z-index: 1;
            content: '';
            top: 0;
            left: 150px;
            width: 702px;
            height: 702px;
            border-radius: 50%;
            position: absolute;
            background: url("../img/about__blur.svg") 50% 50% no-repeat;
        }

        &__main {
            padding: rem(60);
        }

        &__header {
            font-size: rem(48);
            margin-bottom: rem(60);
        }

        &__content {
            grid-column-gap: rem(60);
        }

        &__item {
            font-size: rem(20);
        }

        &__title {
            font-size: rem(36);
            margin-bottom: rem(40);
        }

        &__partners {
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr 1fr rem(100);
        }

        &__partner {
            height: rem(100);
        }

        &__logo {
            height: rem(76);
        }

        &__plus {
            font-size: rem(26);
        }

        &__pattern {
            top: 258px;
            left: -237px;
            width: 323px;
        }
    }
}

.benefit {
    position: relative;
    margin-bottom: rem(60);

    &__wrap {
        z-index: 10;
        position: relative;
    }

    &__header {
        font-weight: 700;
        line-height: 130%;
        font-size: rem(24);
        text-align: center;
        margin-bottom: rem(30);
    }

    &__main {
        display: grid;
        grid-row-gap: rem(10);
        grid-column-gap: rem(10);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        line-height: 150%;
        font-size: rem(14);
        text-align: center;
        border-radius: 20px;
        padding: rem(15) rem(10);
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);

        &:last-child {
            grid-column: span 2;
        }
    }

    &__icon {
        fill: $white;
        width: 60px;
        height: 60px;
        font-size: 0;
        line-height: 0;
        overflow: hidden;
        border-radius: 20px;
        margin: 0 auto rem(15) auto;
        background: url("../img/benefit_icn_bg.svg") 50% 50% no-repeat;
        background-size: cover;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: 32px;
            flex-shrink: 0;
            display: inline-block;
        }
    }

    &__text {

    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(100);

        &__header {
            font-size: rem(32);
            text-align: left;
        }

        &__main {
            grid-row-gap: rem(20);
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__item {
            padding: rem(20);

            &:last-child {
                grid-column: span 1;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(48);
            margin-bottom: rem(60);
        }

        &__item {
            text-align: left;
            padding: rem(30);
            font-size: rem(24);
        }

        &__icon {
            width: rem(80);
            height: rem(80);
            border-radius: 30px;
            margin: 0 0 rem(20) 0;

            i {
                width: rem(48);
                height: rem(48);
            }
        }
    }
}

.projects {
    position: relative;
    margin-bottom: rem(60);

    &__wrap {
        z-index: 10;
        position: relative;
    }

    &__header {
        font-weight: 700;
        line-height: 130%;
        font-size: rem(24);
        text-align: center;
        margin-bottom: rem(30);
        text-transform: uppercase;
    }

    &__main {
        display: grid;
        grid-row-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__text {

    }

    &__item {
        height: rem(280);
        padding: rem(15);
        line-height: 150%;
        font-size: rem(14);
        overflow: hidden;
        position: relative;
        border-radius: 20px;
        border: 1px solid rgba(255,255,255,0.1);
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);
    }

    &__content {
        z-index: 10;
        position: relative;
        min-height: rem(60);
        padding-left: rem(80);
    }

    &__icon {
        top: 0;
        left: 0;
        font-size: 0;
        line-height: 0;
        width: rem(60);
        height: rem(60);
        position: absolute;
        border-radius: 20px;
        background: url("../img/benefit_icn_bg.svg") 50% 50% no-repeat;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            width: rem(32);
            height: rem(32);
            flex-shrink: 0;
            display: inline-block;
        }
    }

    &__title {
        font-weight: 500;
        line-height: 130%;
        font-size: rem(16);
        margin-bottom: rem(6);
    }

    &__text {
        opacity: 0.8;
    }

    &__media {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 95px;
            right: calc(50% - 125px);
            width: 250px;
        }

        &--02 {
            top: 120px;
            left: calc(50% - 122px);
            width: 244px;
        }

        &--03 {
            top: 90px;
            left: calc(50% - 130px);
            width: 260px;
        }

        &--04 {
            top: 87px;
            left: calc(50% - 190px);
            width: 380px;
        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            width: 657px;
            top: 0;
            left: calc(50% - 330px);
        }

        &--02 {
            top: 710px;
            width: 672px;
            left: calc(50% - 330px);
        }

        &--03 {
            display: none;
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(100);

        &__header {
            text-align: left;
            font-size: rem(30);
        }

        &__main {
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr;
        }

        &__pattern {

            &--01 {
                top: 80px;
                left: -48px;
            }

            &--02 {
                display: none;
            }
        }

        &__item {
            padding: rem(20) rem(30);
        }
    }

    @include media-breakpoint-up(xl) {

        &:before {
            top: 200px;
            left: -300px;
            z-index: 1;
            content: '';
            width: 1502px;
            height: 1502px;
            position: absolute;
            background: url("../img/projects_pattern__03.svg") 50% 50% no-repeat;
            background-size: cover;
        }

        &__header {
            font-size: rem(48);
            margin-bottom: rem(60);
        }

        &__item {
            font-size: rem(16);
            padding: rem(30);
            height: rem(283);
        }

        &__content {
            width: rem(280);
            padding-left: 0;
        }

        &__icon {
            width: rem(80);
            height: rem(80);
            position: relative;
            border-radius: 30px;
            margin: 0 0 rem(20) 0;

            i {
                width: rem(48);
                height: rem(48);
            }
        }

        &__title {
            font-size: rem(24);
            margin-bottom: rem(6);
        }

        &__media {
            z-index: 1;
            position: absolute;

            &--01 {
                top: 10px;
                right: auto;
                left: 310px;
                width: 401px;
            }

            &--02 {
                top: 10px;
                left: 275px;
                width: 396px;
            }

            &--03 {
                top: 18px;
                left: 305px;
                width: 406px;
            }

            &--04 {
                top: -5px;
                left: 226px;
                width: 490px;
            }
        }

        &__pattern {

            &--01 {
                top: 160px;
                left: 40px;
            }

            &--03 {
                top: 252px;
                left: 758px;
                width: 323px;
                display: block;
            }
        }
    }
}

.offer {
    margin-bottom: rem(40);
    position: relative;

    &__wrap {
        z-index: 10;
        padding: rem(20);
        position: relative;
        border-radius: 20px;
        background: linear-gradient(135deg, rgba(146, 170, 252, 0.10) 0%, rgba(183, 200, 255, 0.10) 100%);
        backdrop-filter: blur(50px);
    }

    &__header {
        font-weight: 700;
        line-height: 130%;
        font-size: rem(24);
        text-align: center;
        margin-bottom: rem(30);
        font-family: $font-family-secondary;

        a {
            color: $turquoise;
            text-decoration: none;
            transition: .3s;

            &:hover {
                color: $blue;
                text-decoration: none;
                transition: .3s;
            }
        }
    }

    &__form {
        margin-bottom: rem(20);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr;
    }

    &__text {
        font-weight: 500;
        line-height: 150%;
        font-size: rem(14);
        text-align: center;

        a {
            color: $turquoise;
            text-decoration: none;
            transition: .3s;

            &:hover {
                color: $blue;
                text-decoration: none;
                transition: .3s;
            }
        }
    }

    &__pattern {
        z-index: 1;
        top: 44px;
        right: -82px;
        width: 323px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(60);

        &__wrap {
            padding: rem(40) rem(30);
        }

        &__header {
            font-size: rem(32);
        }

        &__form {
            max-width: rem(940);
            margin: 0 auto rem(30) auto;
        }

        &__row {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__pattern {
            top: -8px;
            right: -244px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            padding: rem(40) rem(80);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            padding: rem(60);
        }

        &__header {
            font-size: rem(48);
            margin-bottom: rem(60);
        }

        &__form {
            margin-bottom: rem(40);
        }

        &__text {
            font-size: rem(16);
        }
    }
}


@keyframes move-top {
    0% {
        transform: translate(0, 0);
        animation-timing-function: ease-in;
    }
    50% {
        transform: translate(30px, 30px);
    }
    0% {
        transform: translate(0, 0);
        animation-timing-function: ease-in;
    }
}

@keyframes move-bottom {
    0% {
        transform: translate(0, 0);
        animation-timing-function: ease-in;
    }
    50% {
        transform: translate(-30px, -30px);
    }
    0% {
        transform: translate(0, 0);
        animation-timing-function: ease-in;
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
